-- #102
CREATE TABLE cartridgedependency (
     cartridgeid          integer  not null
,    dependendcartridgeid integer  not null
,    comment              varchar(255)  null

,   constraint pk_cartridgedepency              primary key (cartridgeid,dependendcartridgeid)
,   constraint fk_cartridgedependency_cartridgeid foreign key (cartridgeid)
        references cartridge                        (cartridgeid)
,   constraint fk_cartridgedependency_dependendcartridgeid foreign key (dependendcartridgeid)
        references cartridge                        (cartridgeid)
)
GO
CREATE INDEX i_cartridgedependency ON cartridgedependency (dependendcartridgeid)
GO
