-- #101
CREATE TABLE categoryproductmap (
     categoryproductmapid integer  not null AUTO_INCREMENT
,    categoryid           integer  not null
,    productid            integer  not null
,    position             integer  not null
,    positioncategory     integer  not null

,   constraint pk_categoryproductmap            primary key (categoryproductmapid)
,   constraint fk_categoryproductmap_productid  foreign key (productid)
        references product                          (productid)
,   constraint fk_categoryproductmap_categoryid foreign key (categoryid)
        references contentobject                    (contentobjectid)
)
GO
CREATE INDEX i_catprod_product ON categoryproductmap (productid)
GO

CREATE UNIQUE INDEX u_catprod_category ON categoryproductmap (categoryid, productid)
GO
