-- #101
CREATE TABLE accessory (
     accessoryid          integer  not null
,    productid            integer  not null
,    targetproductid      integer  not null

,   constraint pk_accessory                     primary key (accessoryid)
,   constraint fk_accessory_productid           foreign key (productid)
        references product                          (productid)
,   constraint fk_accessory_targetproductid     foreign key (targetproductid)
        references product                          (productid)
,   constraint fk_accessory_accessoryid         foreign key (accessoryid)
        references object                           (objectid)
)
GO
CREATE INDEX i_accessory_product ON accessory (productid)
GO

CREATE INDEX i_accessory_targetproduct ON accessory (targetproductid)
GO
