-- #101
CREATE TABLE crossselling (
     crosssellingid       integer  not null
,    productid            integer  not null
,    targetproductid      integer  not null

,   constraint pk_crossselling                  primary key (crosssellingid)
,   constraint fk_crossselling_crosssellingid   foreign key (crosssellingid)
        references object                           (objectid)
,   constraint fk_crossselling_productid        foreign key (productid)
        references product                          (productid)
,   constraint fk_crossselling_targetproductid  foreign key (targetproductid)
        references product                          (productid)
)
GO
CREATE INDEX ix_crossselling_product ON crossselling (productid)
GO

CREATE INDEX ix_crossselling_targetproduct ON crossselling (targetproductid)
GO
