-- #101
CREATE TABLE productcomparison (
     productcomparisonid  integer  not null
,    productid            integer  not null
,    targetproductid      integer  not null

,   constraint pk_productcomparison             primary key (productcomparisonid)
,   constraint fk_productcomparison_productcomparisonid foreign key (productcomparisonid)
        references object                           (objectid)
,   constraint fk_productcomparison_productid   foreign key (productid)
        references product                          (productid)
,   constraint fk_productcomparison_targetproductid foreign key (targetproductid)
        references product                          (productid)
)
GO
CREATE INDEX i_productcomparison_product ON productcomparison (productid)
GO

CREATE INDEX i_productcomparison_targetprod ON productcomparison (targetproductid)
GO
