jQuery.plugin( 'jQuery.support.buttonFormAttribute', [ 'jQuery.uid' ], function( $, undefined ){

	var id = $.uid(),
		div = $("<div/>"),
		form = $("<form id=\"" + id + "\"/>"),
		button = $("<button form=\"" +id + "\"/>");
	
	// Add to DOM
	div.append(form)
		.append(button)
		.appendTo("head"); // So we don't need to wait for DOM ready event
	
	$.support.buttonFormAttribute = (button[0].form === form[0]);
	
	// Remove from DOM
	div.remove();

});