-- #102
CREATE TABLE mailtype (
     mailtypeid           integer  not null
,    mailtypetemplateid   integer  not null
,    isactive             bool  not null
,    mailfrom             varchar(255)  null
,    mailto               varchar(255)  null
,    cc                   varchar(255)  null
,    bcc                  varchar(255)  null

,   constraint pk_mailtype                      primary key (mailtypeid)
,   constraint fk_mailtype_mailtypeid           foreign key (mailtypeid)
        references object                           (objectid)
,   constraint fk_mailtype_mailtypetemplateid   foreign key (mailtypetemplateid)
        references mailtypetemplate                 (mailtypetemplateid)
)
GO
CREATE INDEX i_mailtype_mailtypetemplate ON mailtype (mailtypetemplateid)
GO
