-- #101
CREATE TABLE country (
     countryid            integer  not null
,    isused               bool  not null
,    code2                char(2)  not null
,    code3                char(3)  not null
,    english              varchar(255)  not null
,    french               varchar(255)  null
,    native               varchar(255)  null
,    iseu                 bool  not null
,    subdivsmandatory     bool  null

,   constraint pk_country                       primary key (countryid)
)
GO
CREATE UNIQUE INDEX u_iso3166_1_alpha_2 ON country (code2)
GO

CREATE UNIQUE INDEX u_iso3166_1_alpha_3 ON country (code3)
GO
