-- #104
CREATE TABLE countrysubdivision (
     countrysubdivisionid integer  not null AUTO_INCREMENT
,    countryid            integer  not null
,    code                 char(3)  not null
,    english              varchar(255)  not null
,    native               varchar(255)  null

,   constraint pk_countrysubdivision            primary key (countrysubdivisionid)
,   constraint fk_countrysubdivision_countryid  foreign key (countryid)
        references country                          (countryid)
)
GO
CREATE UNIQUE INDEX u_countrysubdivision_country ON countrysubdivision (countryid, code)
GO
