-- #305
CREATE TABLE moneyattribute (
     objectid             integer  not null
,    attributeid          integer  not null
,    value                decimal(19,4)  not null

,   constraint pk_moneyattribute                primary key (objectid,attributeid)
,   constraint fk_moneyattribute_objectid       foreign key (objectid)
        references object                           (objectid)
,   constraint fk_moneyattribute_attributeid    foreign key (attributeid)
        references attribute                        (attributeid)
)
GO
CREATE INDEX i_moneyattribute_aid ON moneyattribute (attributeid)
GO
