-- #202
CREATE TABLE orderprocess (
     orderprocessid       integer  not null
,    viewactionid         integer  not null
,    templatename         varchar(255)  not null

,   constraint pk_orderprocess                  primary key (orderprocessid)
,   constraint fk_orderprocess_viewactionid     foreign key (viewactionid)
        references viewaction                       (viewactionid)
,   constraint fk_orderprocess_orderprocessid   foreign key (orderprocessid)
        references object                           (objectid)
)
GO
CREATE INDEX i_orderprocess_orderprocessid ON orderprocess (orderprocessid)
GO

CREATE INDEX i_orderprocess_viewactionid ON orderprocess (viewactionid)
GO
