-- #105
CREATE TABLE paymentmethoddiscount (
     paymentmethodid      integer  not null
,    currencyid           char(3)  not null
,    pricevalue           decimal(19,4)  null

,   constraint pk_productprice                  primary key (paymentmethodid,currencyid)
,   constraint fk_paymentmethoddiscount_paymentmethodid foreign key (paymentmethodid)
        references paymentmethod                    (paymentmethodid)
,   constraint fk_paymentmethoddiscount_currencyid foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX i_paymentmethoddiscount_currency ON paymentmethoddiscount (currencyid)
GO
