-- #103
CREATE TABLE productavailabilityemail (
     productid            integer  not null
,    email                varchar(150)  not null
,    localeid             char(5)  not null

,   constraint pk_productavailabilityemail      primary key (productid,email)
,   constraint fk_productavailabilityemail_productid foreign key (productid)
        references product                          (productid)
,   constraint fk_productavailabilityemail_localeid foreign key (localeid)
        references locale                           (localeid)
)
GO
CREATE INDEX i_productavailability ON productavailabilityemail (email)
GO

CREATE INDEX i_productavailabilityemail_locale ON productavailabilityemail (localeid)
GO
