-- #104
CREATE TABLE portalproductmap (
     portalconfigid       integer  not null
,    productid            integer  not null

,   constraint pk_portalproductmap              primary key (portalconfigid,productid)
,   constraint fk_portalproductmap_portalconfigid foreign key (portalconfigid)
        references portalconfig                     (portalconfigid)
,   constraint fk_portalproductmap_productid    foreign key (productid)
        references product                          (productid)
)
GO
CREATE INDEX i_portalproductmap_product ON portalproductmap (productid)
GO
