-- #101
CREATE TABLE productrating (
     ratingid             integer  not null
,    productid            integer  not null
,    userid               integer  null
,    shopid               integer  not null
,    isvisible            bool  not null
,    rating               integer  not null
,    name                 varchar(255)  null
,    email                varchar(150)  null

,   constraint pk_product                       primary key (ratingid)
,   constraint fk_productrating_productid       foreign key (productid)
        references product                          (productid)
,   constraint fk_productrating_userid          foreign key (userid)
        references users                            (userid)
,   constraint fk_productrating_ratingid        foreign key (ratingid)
        references object                           (objectid)
,   constraint fk_productrating_shopid          foreign key (shopid)
        references shop                             (shopid)
)
GO
CREATE INDEX i_productrating_product ON productrating (productid)
GO

CREATE INDEX i_productrating_user ON productrating (userid)
GO

CREATE INDEX i_productrating_shop ON productrating (shopid)
GO
