-- #102
CREATE TABLE productrecommendationuser (
     userid               integer  not null
,    shopid               integer  not null
,    number               integer  not null
,    lastdate             datetime  not null

,   constraint pk_productrecommendationuser     primary key (userid,shopid)
,   constraint fk_productrecommendationuser_shopid foreign key (shopid)
        references shop                             (shopid)
,   constraint fk_productrecommendationuser_userid foreign key (userid)
        references users                            (userid)
)
GO
CREATE INDEX i_productrecommendationuser_sh ON productrecommendationuser (shopid)
GO
