-- #106
CREATE TABLE searchsort (
     searchsortid         integer  not null AUTO_INCREMENT
,    searchdefinitionid   integer  not null
,    parameter            varchar(255)  not null
,    orderbypart          varchar(255)  null

,   constraint pk_searchsort                    primary key (searchsortid)
,   constraint fk_searchsort_searchdefinitionid foreign key (searchdefinitionid)
        references searchdefinition                 (searchdefinitionid)
)
GO
CREATE UNIQUE INDEX u_searchsort ON searchsort (searchdefinitionid, parameter)
GO
