-- #101
CREATE TABLE shippingtype (
     shippingtypeid       integer  not null
,    methodclassid        integer  not null
,    lineitemclassid      integer  not null
,    isactivated          bool  not null
,    canregions           bool  not null

,   constraint pk_shippingtype                  primary key (shippingtypeid)
,   constraint fk_shippingtype_shippingtypeid   foreign key (shippingtypeid)
        references object                           (objectid)
,   constraint fk_shippingtype_methodclassid    foreign key (methodclassid)
        references class                            (classid)
,   constraint fk_shippingtype_lineitemclassid  foreign key (lineitemclassid)
        references class                            (classid)
)
GO
CREATE INDEX i_shippingtype_methodclass ON shippingtype (methodclassid)
GO

CREATE INDEX i_shippingtype_lineitemclass ON shippingtype (lineitemclassid)
GO
