-- #201
CREATE TABLE feature (
     featureid            integer  not null
,    cartridgeid          integer  not null
,    maxval               integer  not null
,    unitid               integer  null
,    verifyfunctionname   varchar(255)  null
,    allowtoexceed        bool  not null

,   constraint pk_feature                       primary key (featureid)
,   constraint fk_feature_cartridgeid           foreign key (cartridgeid)
        references cartridge                        (cartridgeid)
,   constraint fk_feature_featureid             foreign key (featureid)
        references object                           (objectid)
,   constraint fk_feature_unitid                foreign key (unitid)
        references unitofmeasurement                (unitid)
)
GO
CREATE INDEX i_feature_cartridge ON feature (cartridgeid)
GO

CREATE INDEX i_feature_unitid ON feature (unitid)
GO
