-- #103
CREATE TABLE taxclass (
     taxclassid           integer  not null
,    taxmatrixid          integer  not null

,   constraint pk_taxclass                      primary key (taxclassid)
,   constraint fk_taxclass_taxclassid           foreign key (taxclassid)
        references object                           (objectid)
,   constraint fk_taxclass_taxmatrixid          foreign key (taxmatrixid)
        references taxmatrix                        (taxmatrixid)
)
GO
CREATE INDEX i_taxclass_matrix ON taxclass (taxmatrixid)
GO
