-- #105
CREATE TABLE taxrate (
     taxareaid            integer  not null
,    taxclassid           integer  not null
,    rate                 double  not null

,   constraint pk_taxrate                       primary key (taxareaid,taxclassid)
,   constraint fk_taxrate_taxareaid             foreign key (taxareaid)
        references taxarea                          (taxareaid)
,   constraint fk_taxrate_taxclassid            foreign key (taxclassid)
        references taxclass                         (taxclassid)
)
GO
CREATE INDEX i_taxrate_classid ON taxrate (taxclassid)
GO
