-- #101
CREATE TABLE trustedrating (
     orderid              integer  not null
,    shopid               integer  not null
,    userid               integer  null
,    date                 datetime  not null

,   constraint pk_trustedrating                 primary key (orderid)
,   constraint fk_trustedrating_shopid          foreign key (shopid)
        references shop                             (shopid)
,   constraint fk_trustedrating_userid          foreign key (userid)
        references users                            (userid)
,   constraint fk_trustedrating_orderid         foreign key (orderid)
        references customerorder                    (orderid)
)
GO
CREATE INDEX i_trustedrating_date ON trustedrating (shopid, date)
GO

CREATE INDEX i_trustedrating_userid ON trustedrating (userid)
GO
