-- #101
CREATE TABLE address (
     addressid            integer  not null
,    displayname          varchar(200)  null
,    addressextension     varchar(200)  null
,    street               varchar(200)  null
,    zipcode              varchar(25)  null
,    city                 varchar(60)  null
,    state                varchar(100)  null
,    countryid            integer  null
,    email                varchar(150)  null
,    phone                varchar(40)  null
,    fax                  varchar(40)  null
,    verifiedon           datetime  null
,    street2              varchar(200)  null
,    codeporte            varchar(30)  null

,   constraint pk_address                       primary key (addressid)
,   constraint fk_address_addressid             foreign key (addressid)
        references object                           (objectid)
,   constraint fk_address_countryid             foreign key (countryid)
        references country                          (countryid)
)
GO
CREATE INDEX i_address_countryid ON address (countryid)
GO
