-- #108
CREATE TABLE amazonfeedmessage (
     messageid            integer  not null AUTO_INCREMENT
,    amazonfeedid         integer  not null
,    amazonofferid        integer  null
,    errorcode            varchar(32)  null
,    errormessage         varchar(500)  null
,    isreviewed           bool  not null

,   constraint pk_amazonaccount                 primary key (messageid)
,   constraint fk_amazonfeedmessage_amazonfeedid foreign key (amazonfeedid)
        references amazonfeed                       (amazonfeedid)
,   constraint fk_amazonfeedmessage_amazonofferid foreign key (amazonofferid)
        references amazonoffer                      (amazonofferid)
)
GO
CREATE INDEX i_amazonfeedid ON amazonfeedmessage (amazonfeedid)
GO

CREATE INDEX i_amazonofferid ON amazonfeedmessage (amazonofferid)
GO
