<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:UML="org.omg.xmi.namespace.UML">

<xsl:output method="xml" encoding="ISO-8859-1" indent="yes"/>

<xsl:template match="/">
	<Profile>
		<xsl:for-each select="XMI/XMI.content/UML:Model">
			<xsl:attribute name="Name"><xsl:value-of select="@name" /></xsl:attribute>
			<DataTypes>
				<xsl:for-each select="UML:Namespace.ownedElement/UML:DataType">
					<xsl:variable name="DataID"><xsl:value-of select="concat('epages', substring-after(substring(@xmi.id, 41),':'))" /></xsl:variable>
					<xsl:element name="{$DataID}" >
						<xsl:value-of select="@name" />
					</xsl:element>
				</xsl:for-each>
			</DataTypes>
			<Stereotypes>
				<xsl:for-each select="UML:Namespace.ownedElement/UML:Stereotype">
					<xsl:variable name="DataID"><xsl:value-of select="concat('epages', substring-after(substring(@xmi.id, 41),':'))" /></xsl:variable>
					<xsl:element name="{$DataID}" >
						<xsl:value-of select="@name" />
					</xsl:element>
				</xsl:for-each>
			</Stereotypes>
		</xsl:for-each>	
	</Profile>
</xsl:template>

</xsl:stylesheet> 