{
"menuId" : "#MenuID",
"title" : "{Mediagallery}",
"onClick" : function () {
    var self = this;

    jQuery.ready({
      plugin: ["ep.ui.dialog", "de_epages.mediagallery.ui.filemanager", "ep.dict"],
      dict: ["de_epages.mediagallery.dictionary"],
      DOM:true
    }, function($){
      var element = de_epages(self),
          dialog,
          mediagalleryDict = $.dict("de_epages.mediagallery.dictionary"),
          tFileRepository =    mediagalleryDict.translate("FileRepository");

     dialog = ep('<div class="fileManagerDialog"></div>')
        .appendTo("body")
        .uiDialog({
          title:         tFileRepository,
          width:         920,
          height:        563,
          draggable:     false,
          modal:         true,
          position:      ["center", 100],
          buttons: {
            Close:{
              click: function(){ep(this).uiDialog("close");}
            }
          },
          close: function(){
            ep(this).uiDialog("destroy");
            dialog.remove();
          }
        });

      dialog.append('<div class="fileManager"></div>');
      de_epages(dialog.find("div.fileManager")).mediagalleryUiFilemanager({selectable: ""});

    });
  }
}