-- #101
CREATE TABLE couponcampaign (
     couponcampaignid     integer  not null
,    shopid               integer  null
,    type                 varchar(30)  not null
,    couponcodelength     integer  not null
,    value                decimal(19,4)  null
,    currencyid           char(3)  null
,    minlineitemssubtotal decimal(19,4)  null
,    validcouponcount     integer  null
,    isredeemableonlyonce bool  not null
,    timefrom             datetime  null
,    timeto               datetime  null

,   constraint pk_couponcampaign                primary key (couponcampaignid)
,   constraint fk_couponcampaign_couponcampaignid foreign key (couponcampaignid)
        references object                           (objectid)
,   constraint fk_couponcampaign_shopid         foreign key (shopid)
        references shop                             (shopid)
)
GO
CREATE INDEX i_couponcampaign_shop ON couponcampaign (shopid)
GO
