-- #102
CREATE TABLE couponcode (
     couponcodeid         integer  not null
,    couponcampaignid     integer  not null
,    redeemcount          integer  not null
,    type                 varchar(30)  null
,    isinvalidated        bool  not null

,   constraint pk_couponcode                    primary key (couponcodeid)
,   constraint fk_couponcode_couponcodeid       foreign key (couponcodeid)
        references object                           (objectid)
,   constraint fk_couponcode_couponcampaignid   foreign key (couponcampaignid)
        references couponcampaign                   (couponcampaignid)
)
GO
CREATE INDEX i_couponcode_campaign ON couponcode (couponcampaignid)
GO
