-- #103
CREATE TABLE couponcondition (
     couponconditionid    integer  not null
,    couponcampaignid     integer  not null
,    conditionobjectid    integer  null
,    type                 varchar(30)  not null

,   constraint pk_couponcondition               primary key (couponconditionid)
,   constraint fk_couponcondition_couponconditionid foreign key (couponconditionid)
        references object                           (objectid)
,   constraint fk_couponcondition_couponcampaignid foreign key (couponcampaignid)
        references couponcampaign                   (couponcampaignid)
,   constraint fk_couponcondition_conditionobjectid foreign key (conditionobjectid)
        references object                           (objectid)
)
GO
CREATE INDEX i_coupcond_campaign ON couponcondition (couponcampaignid)
GO

CREATE INDEX i_coupcond_object ON couponcondition (conditionobjectid)
GO
