-- #101
CREATE TABLE creditcheckprovider (
     creditcheckproviderid integer  not null
,    featureid            integer  null
,    configclassid        integer  null
,    name                 varchar(255)  null
,    image                varchar(255)  null
,    logging              bool  not null

,   constraint pk_creditcheckprovider           primary key (creditcheckproviderid)
,   constraint fk_creditcheckprovider_creditcheckproviderid foreign key (creditcheckproviderid)
        references object                           (objectid)
,   constraint fk_creditcheckprovider_featureid foreign key (featureid)
        references feature                          (featureid)
,   constraint fk_creditcheckprovider_configclassid foreign key (configclassid)
        references class                            (classid)
)
GO
CREATE INDEX i_ccprovider_configclassid ON creditcheckprovider (configclassid)
GO

CREATE INDEX i_ccprovider_featureid ON creditcheckprovider (featureid)
GO
