-- #102
CREATE TABLE dhlprodlistattribute (
     dhlprodlistatrributeid integer  not null AUTO_INCREMENT
,    attributeid          integer  not null
,    currencyid           varchar(3)  null
,    dhlproductlistid     integer  null
,    name                 varchar(255)  null
,    maxamounteur         decimal(19,4)  null

,   constraint pk_dhlprodlistattribut           primary key (dhlprodlistatrributeid)
,   constraint fk_dhlprodlistattribute_currencyid foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_dhlprodlistattribute_dhlproductlistid foreign key (dhlproductlistid)
        references dhlproductlist                   (dhlproductlistid)
)
GO
CREATE UNIQUE INDEX u_dhlproductlistid_attibuteid ON dhlprodlistattribute (dhlproductlistid, attributeid)
GO

CREATE INDEX i_attributeid ON dhlprodlistattribute (attributeid)
GO

CREATE INDEX i_dhlprodlistattribute_currencyid ON dhlprodlistattribute (currencyid)
GO
