-- #104
CREATE TABLE dhlshoppingcart (
     dhlshoppingcartid    integer  not null
,    currencyid           char(3)  not null
,    amount               decimal(19,4)  not null
,    status               varchar(255)  null
,    statusdate           datetime  null
,    paymentmethod        varchar(255)  null
,    confirmstatus        varchar(20)  null
,    paymentid            varchar(20)  null
,    paymentcode          varchar(20)  null
,    paymentmessage       varchar(255)  null
,    transactionid1       varchar(255)  null
,    transactionid2       varchar(255)  null
,    downloadpageurl      varchar(255)  null
,    appleturl            char(255)  null
,    shoppingcartid       varchar(255)  null
,    pickupitembruttoamount decimal(19,4)  null
,    pickupitemvat        integer  null
,    pickupitemproductid  varchar(255)  null
,    shoppingcartpickupdate datetime  null

,   constraint pk_dhltransaction                primary key (dhlshoppingcartid)
,   constraint fk_dhlshoppingcart_currencyid    foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_dhlshoppingcart_dhlshoppingcartid foreign key (dhlshoppingcartid)
        references object                           (objectid)
)
GO
CREATE INDEX i_dhlshoppingcart_currencyid ON dhlshoppingcart (currencyid)
GO

CREATE INDEX i_shoppingcartid ON dhlshoppingcart (shoppingcartid)
GO
