-- #106
CREATE TABLE stylebodyimagemap (
     stylebodyimagemapid  integer  not null AUTO_INCREMENT
,    stylegroupid         integer  null
,    stylebodyimageid     integer  null
,    position             integer  null

,   constraint pk_stylebodyimagemap             primary key (stylebodyimagemapid)
,   constraint fk_stylebodyimagemap_stylebodyimageid foreign key (stylebodyimageid)
        references stylebodyimage                   (stylebodyimageid)
,   constraint fk_stylebodyimagemap_stylegroupid foreign key (stylegroupid)
        references stylegroup                       (stylegroupid)
)
GO
CREATE UNIQUE INDEX i_stylegroup ON stylebodyimagemap (stylegroupid, stylebodyimageid)
GO

CREATE INDEX i_stylebodyimage ON stylebodyimagemap (stylebodyimageid)
GO
