-- #101
CREATE TABLE ekomirating (
     orderid              integer  not null
,    shopid               integer  not null
,    userid               integer  null
,    dispatchedon         datetime  not null

,   constraint pk_ekomirating                   primary key (orderid)
,   constraint fk_ekomirating_shopid            foreign key (shopid)
        references shop                             (shopid)
,   constraint fk_ekomirating_userid            foreign key (userid)
        references users                            (userid)
,   constraint fk_ekomirating_orderid           foreign key (orderid)
        references customerorder                    (orderid)
)
GO
CREATE INDEX i_ekomirating_dispatchedon ON ekomirating (shopid, dispatchedon)
GO

CREATE INDEX i_ekomirating_userid ON ekomirating (userid)
GO
