-- #101
CREATE TABLE lineitempaymentexternal (
     lineitempaymentexternalid integer  not null
,    currencyid           char(3)  not null
,    amount               decimal(19,4)  not null
,    transid              varchar(255)  null
,    transtime            datetime  null
,    transtimemod         datetime  null
,    transstatus          varchar(50)  null
,    authcode             varchar(50)  null
,    returncode           varchar(50)  null
,    transid2             varchar(255)  null
,    userid               varchar(255)  null
,    userip               varchar(39)  null
,    internalmethod       varchar(255)  null
,    message              varchar(255)  null
,    avscode              varchar(50)  null
,    issecure             bool  not null
,    field1               varchar(255)  null
,    field2               varchar(255)  null
,    field3               varchar(255)  null

,   constraint pk_lineitempaymentexternal       primary key (lineitempaymentexternalid)
,   constraint fk_lineitempaymentexternal_lineitempaymentexternalid foreign key (lineitempaymentexternalid)
        references lineitempayment                  (lineitempaymentid)
,   constraint fk_lineitempaymentexternal_currencyid foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX i_lineitempaymentex_currency ON lineitempaymentexternal (currencyid)
GO

CREATE INDEX i_lineitempaymentex_transid ON lineitempaymentexternal (transid)
GO

CREATE INDEX i_lineitempaymentex_transid2 ON lineitempaymentexternal (transid2)
GO
