-- #101
CREATE TABLE klarnapclass (
     klarnapclassid       integer  not null
,    description          varchar(500)  null
,    months               integer  null
,    startfee             decimal(19,4)  null
,    invoicefee           decimal(19,4)  null
,    interestrate         double  null
,    minpurchase          decimal(19,4)  null
,    currencyid           char(3)  null
,    isaccount            bool  not null

,   constraint pk_klarnapclass                  primary key (klarnapclassid)
,   constraint fk_klarnapclass_klarnapclassid   foreign key (klarnapclassid)
        references object                           (objectid)
,   constraint fk_klarnapclass_currencyid       foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX i_klarna_pclass_currency ON klarnapclass (currencyid)
GO
