-- #101
CREATE TABLE mailtypetemplate (
     mailtypetemplateid   integer  not null
,    pagetypeid           integer  not null
,    hastofield           bool  not null
,    hassubject           bool  not null
,    hasadditionaltext    bool  not null
,    isalwaysactive       bool  not null
,    hasheader            bool  not null

,   constraint pk_mailtypetemplate              primary key (mailtypetemplateid)
,   constraint fk_mailtypetemplate_mailtypetemplateid foreign key (mailtypetemplateid)
        references object                           (objectid)
,   constraint fk_mailtypetemplate_pagetypeid   foreign key (pagetypeid)
        references pagetype                         (pagetypeid)
)
GO
CREATE INDEX i_mailtypetemplate_pagetype ON mailtypetemplate (pagetypeid)
GO
