-- #401
CREATE TABLE localizedstringattribute (
     objectid             integer  not null
,    attributeid          integer  not null
,    languageid           integer  not null
,    value                longtext  not null

,   constraint pk_localizedstringattribute      primary key (objectid,attributeid,languageid)
,   constraint fk_localizedstringattribute_objectid foreign key (objectid)
        references object                           (objectid)
,   constraint fk_localizedstringattribute_attributeid foreign key (attributeid)
        references attribute                        (attributeid)
,   constraint fk_localizedstringattribute_languageid foreign key (languageid)
        references language                         (languageid)
)
GO
CREATE INDEX i_localizedstringattribute_aid ON localizedstringattribute (attributeid)
GO

CREATE INDEX i_localizedstringattribute_language ON localizedstringattribute (languageid)
GO
