-- #602
CREATE TABLE multiselectattribute (
     multiselectattributeid integer  not null AUTO_INCREMENT
,    objectid             integer  not null
,    attributeid          integer  not null
,    predefattributeid    integer  not null

,   constraint pk_multiselectattribute          primary key (multiselectattributeid)
,   constraint fk_multiselectattribute_objectid foreign key (objectid)
        references object                           (objectid)
,   constraint fk_multiselectattribute_attributeid foreign key (attributeid)
        references attribute                        (attributeid)
,   constraint fk_multiselectattribute_predefattributeid foreign key (predefattributeid)
        references predefattribute                  (predefattributeid)
)
GO
CREATE INDEX i_multiselect_object ON multiselectattribute (objectid, attributeid)
GO

CREATE INDEX i_mulitselect_attribute ON multiselectattribute (attributeid)
GO

CREATE INDEX i_multiselect_predefattr ON multiselectattribute (predefattributeid)
GO
