-- #603
CREATE TABLE selectpredefattribute (
     objectid             integer  not null
,    attributeid          integer  not null
,    predefattributeid    integer  not null

,   constraint pk_selectpredefattr              primary key (objectid,attributeid)
,   constraint fk_selectpredefattribute_predefattributeid foreign key (predefattributeid)
        references predefattribute                  (predefattributeid)
,   constraint fk_selectpredefattribute_objectid foreign key (objectid)
        references object                           (objectid)
,   constraint fk_selectpredefattribute_attributeid foreign key (attributeid)
        references attribute                        (attributeid)
)
GO
CREATE INDEX i_selectpredef_aid ON selectpredefattribute (attributeid)
GO

CREATE INDEX i_selectpredef_predefattr ON selectpredefattribute (predefattributeid)
GO
