-- #701
CREATE TABLE site (
     siteid               integer  not null
,    currencyid           char(3)  null
,    localeid             varchar(5)  not null
,    isstandalone         bool  not null
,    domainname           varchar(255)  null
,    cachedpagesstring    varchar(255)  null
,    loginrequired        bool  not null
,    logincookie          bool  not null
,    mailencoding         varchar(30)  null
,    hassslcertificate    bool  not null
,    webserverscriptnamepart varchar(255)  null
,    defaultpagesize      integer  null
,    ispagecacheused      bool  not null
,    pagecachelastinvalidation datetime  null
,    isclosed             bool  not null
,    maxagepagesstring    varchar(255)  null
,    usemobilesf          bool  not null
,    contractnumber       varchar(50)  null

,   constraint pk_site                          primary key (siteid)
,   constraint fk_site_siteid                   foreign key (siteid)
        references object                           (objectid)
,   constraint fk_site_currencyid               foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_site_localeid                 foreign key (localeid)
        references locale                           (localeid)
)
GO
CREATE INDEX i_site_currencyid ON site (currencyid)
GO

CREATE INDEX i_site_localeid ON site (localeid)
GO
