-- #401
CREATE TABLE minorderamount (
     shopid               integer  not null
,    currencyid           char(3)  not null
,    value                decimal(19,4)  not null

,   constraint pk_minorderamount                primary key (shopid,currencyid)
,   constraint fk_minorderamount_currencyid     foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_minorderamount_shopid         foreign key (shopid)
        references shop                             (shopid)
)
GO
CREATE INDEX i_minorderamount_currencyid ON minorderamount (currencyid)
GO
