-- #102
CREATE TABLE interestrate (
     interestrateid       integer  not null AUTO_INCREMENT
,    interestratematrixid integer  not null
,    minimumamount        decimal(19,4)  not null
,    numberofmonths       integer  not null
,    interestratevalue    double  not null

,   constraint pk_interestrate                  primary key (interestrateid)
,   constraint fk_interestrate_interestratematrixid foreign key (interestratematrixid)
        references interestratematrix               (interestratematrixid)
)
GO
CREATE UNIQUE INDEX u_interestrate ON interestrate (interestratematrixid, numberofmonths, minimumamount)
GO
