-- #101
CREATE TABLE interestratematrix (
     interestratematrixid integer  not null
,    shopid               integer  not null
,    currencyid           char(3)  not null

,   constraint pk_interestratematrix            primary key (interestratematrixid)
,   constraint fk_interestratematrix_interestratematrixid foreign key (interestratematrixid)
        references object                           (objectid)
,   constraint fk_interestratematrix_currencyid foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_interestratematrix_shopid     foreign key (shopid)
        references shop                             (shopid)
)
GO
CREATE UNIQUE INDEX u_interestratematrix ON interestratematrix (shopid, currencyid)
GO

CREATE INDEX i_interestratematrix_currencyid ON interestratematrix (currencyid)
GO
