-- #105
CREATE TABLE roleaction (
     roleid               integer  not null
,    actionid             integer  not null

,   constraint pk_roleaction                    primary key (roleid,actionid)
,   constraint fk_roleaction_actionid           foreign key (actionid)
        references action                           (actionid)
,   constraint fk_roleaction_roleid             foreign key (roleid)
        references roles                            (roleid)
)
GO
CREATE INDEX i_role_action ON roleaction (actionid)
GO
