-- #201
CREATE TABLE scaleprice (
     scalepriceid         integer  not null AUTO_INCREMENT
,    productid            integer  not null
,    pricelistid          integer  not null
,    quantity             decimal(19,4)  not null
,    price                decimal(19,4)  not null

,   constraint pk_scaleprice                    primary key (scalepriceid)
,   constraint fk_scaleprice_productid          foreign key (productid)
        references product                          (productid)
,   constraint fk_scaleprice_pricelistid        foreign key (pricelistid)
        references pricelist                        (pricelistid)
)
GO
CREATE INDEX i_scaleprice_product ON scaleprice (productid, pricelistid)
GO

CREATE INDEX i_scaleprice_pricelist ON scaleprice (pricelistid)
GO
