-- #302
CREATE TABLE lineitemcustomizedtext (
     customizabletextid   integer  not null
,    lineitemid           integer  null
,    fontname             varchar(255)  not null
,    fontsize             double  not null
,    color                varchar(255)  not null
,    width                double  not null
,    height               double  not null
,    innerwidth           double  not null
,    innerheight          double  not null
,    fromtop              integer  not null
,    fromleft             integer  not null
,    zindex               integer  not null
,    orientation          integer  not null
,    areaid               integer  not null
,    optionid             integer  not null

,   constraint pk_lineitemcustomizedtext        primary key (customizabletextid)
,   constraint fk_lineitemcustomizedtext_lineitemid foreign key (lineitemid)
        references lineitemproduct                  (lineitemproductid)
,   constraint fk_lineitemcustomizedtext_customizabletextid foreign key (customizabletextid)
        references object                           (objectid)
)
GO
CREATE INDEX i_lineitemcustomizedtext ON lineitemcustomizedtext (areaid)
GO

CREATE INDEX i_lineitemcustomizedtext_lineitemid ON lineitemcustomizedtext (lineitemid)
GO
