-- #101
CREATE TABLE sessionproductcompare (
     intsessionid         integer  not null
,    productid            integer  not null
,    position             integer  not null

,   constraint pk_sessionproductcompare         primary key (intsessionid,productid)
,   constraint fk_sessionproductcompare_intsessionid foreign key (intsessionid)
        references session                          (intsessionid)
,   constraint fk_sessionproductcompare_productid foreign key (productid)
        references product                          (productid)
)
GO
CREATE INDEX i_sessionproductcompare_prod ON sessionproductcompare (productid)
GO
