#========================================================================================
# package      DE_EPAGES::RemoteSearch::t::ProductTypeBatchProcess
# state        private
# description  Test ProductTypeBatchProcess for batching product update request after
#               changes on ProductTypes.
#
#               Require Store database with DemoShop content!
#
#========================================================================================

# TODO EPG-25622
#package DE_EPAGES::RemoteSearch::t::ProductTypeBatchProcess;
#use base Test::Class;
#
#use strict;
#
#use DE_EPAGES::Core::API::Script qw ( RunScript );
#use DE_EPAGES::Database::API::Connection qw (RunOnStore GetTestSite);
#use DE_EPAGES::Object::API::Factory qw ( LoadObjectByPath );
#use DE_EPAGES::RemoteSearch::API::Object::ProductTypeBatchProcess;
#
#use Test::More;
#
#sub init : Test(startup) {
#    my $self = shift;
#    my $ProductTypeJacket = LoadObjectByPath('/Shops/DemoShop/ProductTypes/Jacket');
#    my $ProductTypeTent = LoadObjectByPath('/Shops/DemoShop/ProductTypes/Tent');
#
#    $self->{Shop} = $ProductTypeJacket->getSite();
#    $self->{JacketColorID} = $ProductTypeJacket->attribute('Color')->id;
#    $self->{TentPackSizeID} = $ProductTypeTent->attribute('PackSize')->id;
#}
#
#sub setUp : Test(setup) {
#    my $self    = shift;
#    $self->{BatchProcessor} = DE_EPAGES::RemoteSearch::API::Object::ProductTypeBatchProcess->new();
#}
#
#sub constructor :Test(2){
#    my $self    = shift;
#    my $Handler = $self->{BatchProcessor};
#    isa_ok($Handler,'DE_EPAGES::RemoteSearch::API::Object::ProductTypeBatchProcess');
#    is_deeply($Handler ,{
#                 '_Items' => [],
#                 'Options' => { }
#               },
#        'constructor setup ok'
#    );
#}
#
#sub processItemList : Test(2) {
#    my $self    = shift;
#    my $Handler = $self->{BatchProcessor};
#    my $Count = 0;
#    local *DE_EPAGES::RemoteSearch::API::Object::ProductTypeBatchProcess::__reinit = sub { ## no critic qw(ProtectPrivateVars)
#        $Count++;
#    };
#
#    $Handler->addItem($self->{JacketColorID});
#    $Handler->processItemList();
#    is($Count,1,'update shop after Jackets have changed');
#    $Handler->addItem($self->{TentPackSizeID});
#    $Handler->processItemList();
#    is($Count,2,'update shop after Tents have changed');
#}
#
#RunScript( Sub => \&main );
#
#sub main {
#    RunOnStore(
#        Store => GetTestSite(),
#        Sub   => sub {
#            Test::Class->runtests;
#        }
#    );
#}

use Test::More;
use strict;

pass('TODO');
done_testing();
