-- #102
CREATE TABLE saferpaycreditcard (
     saferpaycreditcardid integer  not null
,    lineitempaymentsaferpayid integer  null
,    cardmask             varchar(255)  null
,    cardbrand            varchar(255)  null
,    cardtype             integer  null
,    lifetime             integer  null
,    expirymonth          char(2)  null
,    expiryyear           char(2)  null
,    cccountry            char(2)  null

,   constraint pk_saferpaycreditcard            primary key (saferpaycreditcardid)
,   constraint fk_saferpaycreditcard_saferpaycreditcardid foreign key (saferpaycreditcardid)
        references object                           (objectid)
,   constraint fk_saferpaycreditcard_lineitempaymentsaferpayid foreign key (lineitempaymentsaferpayid)
        references lineitempaymentsaferpay          (lineitempaymentsaferpayid)
)
GO
CREATE UNIQUE INDEX u_saferpaycreditcard_lineitem ON saferpaycreditcard (lineitempaymentsaferpayid)
GO
