-- #103
CREATE TABLE shippinglevel (
     shippinglevelid      integer  not null AUTO_INCREMENT
,    shippingmethodid     integer  not null
,    currencyid           char(3)  not null
,    basevalue            decimal(19,4)  not null
,    lowerbound           double  null
,    upperbound           double  null
,    multiplier           double  null

,   constraint pk_shippinglevel                 primary key (shippinglevelid)
,   constraint fk_shippinglevel_shippingmethodid foreign key (shippingmethodid)
        references shippingmethod                   (shippingmethodid)
,   constraint fk_shippinglevel_currencyid      foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX i_shippinglevel_shippingmethod ON shippinglevel (shippingmethodid, currencyid)
GO

CREATE INDEX i_shippinglevel_currencyid ON shippinglevel (currencyid)
GO
