-- #104
CREATE TABLE lineitemshippingoption (
     lineitemid           integer  not null
,    shippingoptionid     integer  null
,    choiceid             integer  null
,    choicename           varchar(255)  null

,   constraint pk_lineitemshippingoption        primary key (lineitemid)
,   constraint fk_lineitemshippingoption_lineitemid foreign key (lineitemid)
        references lineitem                         (lineitemid)
,   constraint fk_lineitemshippingoption_shippingoptionid foreign key (shippingoptionid)
        references shippingoption                   (shippingoptionid)
,   constraint fk_lineitemshippingoption_choiceid foreign key (choiceid)
        references shippingoptionchoice             (shippingoptionchoiceid)
)
GO
CREATE INDEX i_lineitemshipopt_shipoptid ON lineitemshippingoption (shippingoptionid)
GO

CREATE INDEX i_lineitemshipopt_shipchoiceid ON lineitemshippingoption (choiceid)
GO
