-- #101
CREATE TABLE shippingoption (
     shippingoptionid     integer  not null
,    shopid               integer  not null
,    taxclassid           integer  not null
,    isvisible            bool  not null
,    hastextfield         bool  not null

,   constraint pk_shippingoption                primary key (shippingoptionid)
,   constraint fk_shippingoption_shippingoptionid foreign key (shippingoptionid)
        references object                           (objectid)
,   constraint fk_shippingoption_shopid         foreign key (shopid)
        references shop                             (shopid)
,   constraint fk_shippingoption_taxclassid     foreign key (taxclassid)
        references taxclass                         (taxclassid)
)
GO
CREATE INDEX i_shippingoption_shop ON shippingoption (shopid)
GO

CREATE INDEX i_shippingoption_taxclassid ON shippingoption (taxclassid)
GO
