-- #103
CREATE TABLE shippingoptionprice (
     shippingoptionpriceid integer  not null AUTO_INCREMENT
,    shippingoptionid     integer  not null
,    currencyid           char(3)  not null
,    price                decimal(19,4)  not null

,   constraint pk_shippingoptionprice           primary key (shippingoptionpriceid)
,   constraint fk_shippingoptionprice_currencyid foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_shippingoptionprice_shippingoptionid foreign key (shippingoptionid)
        references shippingoption                   (shippingoptionid)
)
GO
CREATE INDEX i_shippingoptionprice_currencyid ON shippingoptionprice (currencyid)
GO

CREATE UNIQUE INDEX u_shippingoption_price ON shippingoptionprice (shippingoptionid, currencyid)
GO
