-- #102
CREATE TABLE shoppinglistitem (
     shoppinglistitemid   integer  not null
,    shoppinglistid       integer  not null
,    productid            integer  not null
,    quantity             double  not null

,   constraint pk_shoppinglistitem              primary key (shoppinglistitemid)
,   constraint fk_shoppinglistitem_shoppinglistitemid foreign key (shoppinglistitemid)
        references object                           (objectid)
,   constraint fk_shoppinglistitem_shoppinglistid foreign key (shoppinglistid)
        references shoppinglist                     (shoppinglistid)
,   constraint fk_shoppinglistitem_productid    foreign key (productid)
        references product                          (productid)
)
GO
CREATE INDEX i_shoppinglistitem_list ON shoppinglistitem (shoppinglistid)
GO

CREATE INDEX i_shoppinglistitem_product ON shoppinglistitem (productid)
GO
