-- #104
CREATE TABLE taxareacountry (
     taxareacountryid     integer  not null AUTO_INCREMENT
,    taxmatrixid          integer  not null
,    countryid            integer  not null
,    taxareaid            integer  not null
,    zipcodefrom          varchar(25)  null
,    zipcodeto            varchar(25)  null
,    regionname           varchar(255)  null

,   constraint pk_taxareacountry                primary key (taxareacountryid)
,   constraint fk_taxareacountry_taxmatrixid    foreign key (taxmatrixid)
        references taxmatrix                        (taxmatrixid)
,   constraint fk_taxareacountry_countryid      foreign key (countryid)
        references country                          (countryid)
,   constraint fk_taxareacountry_taxareaid      foreign key (taxareaid)
        references taxarea                          (taxareaid)
)
GO
CREATE INDEX i_taxareacountry_taxarea ON taxareacountry (taxareaid)
GO

CREATE INDEX i_taxareacountry_countryid ON taxareacountry (countryid)
GO

CREATE INDEX i_taxareacountry_taxmatrix_country ON taxareacountry (taxmatrixid, countryid)
GO
