-- #103
CREATE TABLE lineitemtsprotectionitem (
     lineitemtsprotectionitemid integer  not null
,    protectionitemid     integer  null
,    applicationid        integer  null
,    guaranteeno          integer  null
,    trustedshopsid       char(33)  not null

,   constraint pk_linteitemtsprotectionitemid   primary key (lineitemtsprotectionitemid)
,   constraint fk_lineitemtsprotectionitem_lineitemtsprotectionitemid foreign key (lineitemtsprotectionitemid)
        references lineitem                         (lineitemid)
,   constraint fk_lineitemtsprotectionitem_protectionitemid foreign key (protectionitemid)
        references trustedshopsprotectionitem       (protectionitemid)
)
GO
CREATE INDEX i_lineitemtsprotection_itemid ON lineitemtsprotectionitem (protectionitemid)
GO
